Commit b3d6650b authored by Florian Hölzl's avatar Florian Hölzl
Browse files

Initial draft of oomph setup for Photon.

parent 68300bcc
......@@ -59,6 +59,9 @@
<requirement
name="org.eclipse.gmf.feature.group"
versionRange="[1.12.0,1.13.0)"/>
<requirement
name="org.eclipse.xtext.sdk.feature.group"
versionRange="[2.14.0,2.15.0)"/>
<repository
url="http://download.eclipse.org/releases/photon"/>
<repository
......@@ -68,23 +71,23 @@
<setupTask
xsi:type="setup:VariableTask"
name="eclipse.target.platform"
defaultValue="Kepler"
defaultValue="Photon"
storageURI="scope://Workspace"/>
<setupTask
xsi:type="setup.p2:P2Task"
label="eGit jGit">
<requirement
name="org.eclipse.egit.feature.group"
versionRange="[4.7.0,4.8.0)"/>
versionRange="[5.0.0,5.1.0)"/>
<requirement
name="org.eclipse.jgit.feature.group"
versionRange="[4.7.0,4.8.0)"/>
versionRange="[5.0.0,5.1.0)"/>
<requirement
name="org.eclipse.egit.mylyn.feature.group"
versionRange="[4.7.0,4.8.0)"
versionRange="[5.0.0,5.1.0)"
filter=""/>
<repository
url="http://download.eclipse.org/egit/updates-4.7.1"/>
url="http://download.eclipse.org/egit/updates"/>
<description>Install Git support for interacting with the AF3 repositories.</description>
</setupTask>
<setupTask
......@@ -112,15 +115,15 @@
label="SWT Bot">
<requirement
name="org.eclipse.swtbot.source.feature.group"
versionRange="[2.4.0,2.5.0)"/>
versionRange="[2.7.0,2.8.0)"/>
<requirement
name="org.eclipse.swtbot.eclipse.source.feature.group"
versionRange="[2.4.0,2.5.0)"/>
versionRange="[2.7.0,2.8.0)"/>
<requirement
name="org.eclipse.swtbot.forms.source.feature.group"
versionRange="[2.4.0,2.5.0)"/>
versionRange="[2.7.0,2.8.0)"/>
<repository
url="http://download.eclipse.org/technology/swtbot/releases/2.4.0/"/>
url="http://download.eclipse.org/technology/swtbot/releases/latest/"/>
<description></description>
</setupTask>
<setupTask
......@@ -135,29 +138,16 @@
versionRange="[3.5.0,3.6.0)"
filter=""/>
<repository
url="http://download.eclipse.org/technology/swtbot/releases/2.4.0/"/>
url="http://download.eclipse.org/tools/orbit/downloads/drops/R20180606145124/repository"/>
</setupTask>
<setupTask
xsi:type="setup.p2:P2Task"
label="Nebula Widgets">
<requirement
name="org.eclipse.nebula.feature.feature.group"
versionRange="[1.0.0,1.1.0)"/>
versionRange="[2.0.0,2.1.0)"/>
<repository
url="http://archive.eclipse.org/nebula/Q12015/release/"/>
</setupTask>
<setupTask
xsi:type="setup.p2:P2Task"
label="Java 8 Support">
<requirement
name="org.eclipse.jdt.a2.java8patch.feature.group"/>
<requirement
name="org.eclipse.jdt.java8patch.feature.group"/>
<requirement
name="org.eclipse.pde.java8patch.feature.group"/>
<repository
url="http://download.eclipse.org/eclipse/updates/4.3-P-builds/P20140317-1600/"/>
<description>Install Java 8 support for Kepler.</description>
url="http://download.eclipse.org/nebula/releases/2.0.1"/>
</setupTask>
<setupTask
xsi:type="setup.p2:P2Task"
......@@ -165,7 +155,7 @@
<requirement
name="org.eclipse.fx.target.rcp.feature.feature.group"/>
<repository
url="http://download.eclipse.org/efxclipse/runtime-released/0.9.0/site/"/>
url="http://download.eclipse.org/efxclipse/runtime-released/3.3.0/site/"/>
<description>Install JavaFX runtime support for Kepler.</description>
</setupTask>
<setupTask
......@@ -173,32 +163,22 @@
label="E(fx)clipse IDE - JavaFX support">
<requirement
name="org.eclipse.fx.ide.all.kepler.feature.feature.group"
versionRange="[0.9.0,1.0.0)"/>
versionRange="[3.3.0,3.4.0)"/>
<repository
url="http://download.eclipse.org/efxclipse/updates-released/0.9.0/site/"/>
url="http://download.eclipse.org/efxclipse/updates-released/3.3.0/site/"/>
<description>Install JavaFX IDE support for Kepler.</description>
</setupTask>
<setupTask
xsi:type="setup.p2:P2Task"
label="Xtext - for E(fx)clipse">
<requirement
name="org.eclipse.xtext.sdk.feature.group"
versionRange="[2.5.0,2.6.0)"/>
<repository
url="http://download.eclipse.org/modeling/tmf/xtext/updates/releases/maintenance/R201404100756"/>
<description>Install Xtext support for E(fx)clipse.</description>
</setupTask>
<setupTask
xsi:type="setup.p2:P2Task"
label="SystemFocus Development Tools">
<requirement
name="org.eclipse.systemfocus.tooling.codereview.feature.feature.group"
versionRange="[0.6.0,1.0.0)"/>
versionRange="[1.0.0,1.1.0)"/>
<requirement
name="org.eclipse.systemfocus.tooling.emfgeneration.git.feature.feature.group"
versionRange="[0.6.0,1.0.0)"/>
versionRange="[1.0.0,1.1.0)"/>
<repository
url="http://download.fortiss.org/public/projects/org.eclipse.systemfocus.tooling.site/0.6/"/>
url="http://download.fortiss.org/public/projects/org.eclipse.systemfocus.tooling.site/1.0/"/>
<description>Install the tools needed in the IDE to conduct code review and model generation of ${scope.project.label}.</description>
</setupTask>
<setupTask
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment